<?php

namespace Modules\Admin\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Validator;
use Illuminate\Database\QueryException;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Str;


use App\Models\User;
use App\Models\AdminDetails;
use App\Models\Companies;
use App\Models\Supliers;
use App\Models\Categories;
use App\Models\Brands;
use App\Models\Products;
use App\Models\ProductGallery;
use App\Models\GRNS;
use App\Models\Returns;
use App\Models\GRNProducts;

use File;
use Mail;
use Image;
use PDF;
class ReportController extends Controller
{
    public function cost_report(Request $request)
    { if($request->isMethod('get')){
        $products = Products::where('status','active')->get();
        return view('admin::report.cost_report',['products' => $products]);
    }
   
    }
     public function financial_reports(Request $request)
    { if($request->isMethod('get')){
        $products = Products::where('status','active')->get();
        return view('admin::report.financial_reports',['products' => $products]);
    }
   
    }
     public function daily_updates(Request $request)
    { if($request->isMethod('get')){
         $customers = User::where('user_role','2')->with('customerDetails')->get();
        return view('admin::report.daily_updates',['customers' => $customers]);
    }
   
    }
   public function inventory_reports(Request $request)
    { if($request->isMethod('get')){
        $products = Products::where('status','active')->get();
        return view('admin::report.inventory_reports',['products' => $products]);
    }
   
    }
}