<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\APIController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::match(['post'],'v1/register', [APIController::class, 'register']);
Route::match(['post'],'v1/validate-otp', [APIController::class, 'validate_otp']);
Route::match(['get'],'v1/products', [APIController::class, 'products']);
Route::match(['post'],'v1/login', [APIController::class, 'login']);
Route::match(['post'],'v1/order-request', [APIController::class, 'order_request']);
Route::match(['get'],'v1/product-details/{id}', [APIController::class, 'product_details']);
Route::match(['get'],'v1/categories', [APIController::class, 'categories']);
Route::match(['get'],'v1/banners', [APIController::class, 'banners']);
Route::match(['post'],'v1/filter-products', [APIController::class, 'filter_products']);